{
    "$graph": [
        {
            "class": "CommandLineTool",
            "label": "Filter Vardict Somatic Vcf",
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "biocontainers/bcftools:v1.9-1-deb_cv1"
                }
            ],
            "inputs": [
                {
                    "id": "#FilterVardictSomaticVcf_v1_9.cwl/FilterVardictSomaticVcf/vcf",
                    "label": "vcf",
                    "type": [
                        "File",
                        "null"
                    ],
                    "inputBinding": {
                        "position": 1
                    }
                },
                {
                    "id": "#FilterVardictSomaticVcf_v1_9.cwl/FilterVardictSomaticVcf/outputFilename",
                    "label": "outputFilename",
                    "type": [
                        "string",
                        "null"
                    ],
                    "default": "generated.filter.vcf",
                    "inputBinding": {
                        "prefix": "-o",
                        "position": 3,
                        "shellQuote": false
                    }
                }
            ],
            "stdout": "_stdout",
            "stderr": "_stderr",
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "bcftools filter -e 'STATUS=\"GERMLINE\"' -o - ",
                    "shellQuote": false
                },
                {
                    "position": 2,
                    "valueFrom": "| bcftools filter -i 'FILTER==\"PASS\"'",
                    "shellQuote": false
                }
            ],
            "id": "#FilterVardictSomaticVcf_v1_9.cwl",
            "outputs": [
                {
                    "id": "#FilterVardictSomaticVcf_v1_9.cwl/FilterVardictSomaticVcf/out",
                    "label": "out",
                    "type": "File",
                    "outputBinding": {
                        "glob": "generated.filter.vcf",
                        "loadContents": false
                    }
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "label": "Split Multiple Alleles",
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "heuermh/vt"
                }
            ],
            "inputs": [
                {
                    "id": "#SplitMultiAllele_v0_5772.cwl/SplitMultiAllele/vcf",
                    "label": "vcf",
                    "type": "File",
                    "inputBinding": {
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#SplitMultiAllele_v0_5772.cwl/SplitMultiAllele/reference",
                    "label": "reference",
                    "type": "File",
                    "secondaryFiles": [
                        ".fai",
                        ".amb",
                        ".ann",
                        ".bwt",
                        ".pac",
                        ".sa",
                        "^.dict"
                    ],
                    "inputBinding": {
                        "prefix": "-r",
                        "position": 4,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#SplitMultiAllele_v0_5772.cwl/SplitMultiAllele/outputFilename",
                    "label": "outputFilename",
                    "type": [
                        "string",
                        "null"
                    ],
                    "default": "generated.norm.vcf",
                    "inputBinding": {
                        "prefix": "-o",
                        "position": 6,
                        "shellQuote": false
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#SplitMultiAllele_v0_5772.cwl/SplitMultiAllele/out",
                    "label": "out",
                    "type": "File",
                    "outputBinding": {
                        "glob": "generated.norm.vcf",
                        "loadContents": false
                    }
                }
            ],
            "stdout": "_stdout",
            "stderr": "_stderr",
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "vt decompose -s ",
                    "shellQuote": false
                },
                {
                    "position": 2,
                    "valueFrom": "| vt normalize -n -q - ",
                    "shellQuote": false
                }
            ],
            "id": "#SplitMultiAllele_v0_5772.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "BCFTools: Annotate",
            "doc": "------------------------------------\n\nAdd or remove annotations.",
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "biocontainers/bcftools:v1.5_cv2"
                }
            ],
            "inputs": [
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/vcf",
                    "label": "vcf",
                    "type": "File",
                    "inputBinding": {
                        "position": 10
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/outputFilename",
                    "label": "outputFilename",
                    "doc": "[-o] see Common Options",
                    "type": [
                        "string",
                        "null"
                    ],
                    "default": "generated.vcf",
                    "inputBinding": {
                        "prefix": "--output"
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/annotations",
                    "label": "annotations",
                    "doc": "[-a] Bgzip-compressed and tabix-indexed file with annotations. The file can be VCF, BED, or a tab-delimited file with mandatory columns CHROM, POS (or, alternatively, FROM and TO), optional columns REF and ALT, and arbitrary number of annotation columns. BED files are expected to have the \".bed\" or \".bed.gz\" suffix (case-insensitive), otherwise a tab-delimited file is assumed. Note that in case of tab-delimited file, the coordinates POS, FROM and TO are one-based and inclusive. When REF and ALT are present, only matching VCF records will be annotated. When multiple ALT alleles are present in the annotation file (given as comma-separated list of alleles), at least one must match one of the alleles in the corresponding VCF record. Similarly, at least one alternate allele from a multi-allelic VCF record must be present in the annotation file. Missing values can be added by providing \".\" in place of actual value. Note that flag types, such as \"INFO/FLAG\", can be annotated by including a field with the value \"1\" to set the flag, \"0\" to remove it, or \".\" to keep existing flags. See also -c, --columns and -h, --header-lines.",
                    "type": [
                        "File",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--annotations"
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/collapse",
                    "label": "collapse",
                    "doc": "(snps|indels|both|all|some|none) Controls how to match records from the annotation file to the target VCF. Effective only when -a is a VCF or BCF. See Common Options for more.",
                    "type": [
                        "string",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--collapse"
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/columns",
                    "label": "columns",
                    "doc": "[-c] Comma-separated list of columns or tags to carry over from the annotation file (see also -a, --annotations). If the annotation file is not a VCF/BCF, list describes the columns of the annotation file and must include CHROM, POS (or, alternatively, FROM and TO), and optionally REF and ALT. Unused columns which should be ignored can be indicated by \"-\". If the annotation file is a VCF/BCF, only the edited columns/tags must be present and their order does not matter. The columns ID, QUAL, FILTER, INFO and FORMAT can be edited, where INFO tags can be written both as \"INFO/TAG\" or simply \"TAG\", and FORMAT tags can be written as \"FORMAT/TAG\" or \"FMT/TAG\". The imported VCF annotations can be renamed as \"DST_TAG:=SRC_TAG\" or \"FMT/DST_TAG:=FMT/SRC_TAG\". To carry over all INFO annotations, use \"INFO\". To add all INFO annotations except \"TAG\", use \"^INFO/TAG\". By default, existing values are replaced. To add annotations without overwriting existing values (that is, to add missing tags or add values to existing tags with missing values), use \"+TAG\" instead of \"TAG\". To append to existing values (rather than replacing or leaving untouched), use \"=TAG\" (instead of \"TAG\" or \"+TAG\"). To replace only existing values without modifying missing annotations, use \"-TAG\". If the annotation file is not a VCF/BCF, all new annotations must be defined via -h, --header-lines.",
                    "type": [
                        {
                            "type": "array",
                            "items": "string"
                        },
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--columns"
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/exclude",
                    "label": "exclude",
                    "doc": "[-e] exclude sites for which EXPRESSION is true. For valid expressions see EXPRESSIONS.",
                    "type": [
                        "string",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--exclude"
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/headerLines",
                    "label": "headerLines",
                    "doc": "[-h] Lines to append to the VCF header, see also -c, --columns and -a, --annotations.",
                    "type": [
                        "File",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--header-lines"
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/setId",
                    "label": "setId",
                    "doc": "[-I] assign ID on the fly. The format is the same as in the query command (see below). By default all existing IDs are replaced. If the format string is preceded by \"+\", only missing IDs will be set. For example, one can use # bcftools annotate --set-id +' % CHROM\\_ % POS\\_ % REF\\_ % FIRST_ALT' file.vcf",
                    "type": [
                        "string",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--set-id"
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/include",
                    "label": "include",
                    "doc": "[-i] include only sites for which EXPRESSION is true. For valid expressions see EXPRESSIONS.",
                    "type": [
                        "string",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--include"
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/keepSites",
                    "label": "keepSites",
                    "doc": "keep sites wich do not pass -i and -e expressions instead of discarding them(",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--keep-sites"
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/markSites",
                    "label": "markSites",
                    "doc": "[-m] (+|-)annotate sites which are present (\"+\") or absent (\"-\") in the -a file with a new INFO/TAG flag",
                    "type": [
                        "string",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--mark-sites"
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/outputType",
                    "label": "outputType",
                    "doc": "[-O] (b|u|z|v) see Common Options",
                    "type": [
                        "string",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--output-type"
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/regions",
                    "label": "regions",
                    "doc": "([-r] chr|chr:pos|chr:from-to|chr:from-[,\u2026]) see Common Options",
                    "type": [
                        "string",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--regions"
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/regionsFile",
                    "label": "regionsFile",
                    "doc": "[-R] see Common Options",
                    "type": [
                        "File",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--regions-file"
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/renameChrs",
                    "label": "renameChrs",
                    "doc": "rename chromosomes according to the map in file, with \"old_name new_name\\n\" pairs separated by whitespaces, each on a separate line.",
                    "type": [
                        "File",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--rename-chrs"
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/samples",
                    "label": "samples",
                    "doc": "[-s] subset of samples to annotate, see also Common Options",
                    "type": [
                        {
                            "type": "array",
                            "items": "File"
                        },
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--samples"
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/samplesFile",
                    "label": "samplesFile",
                    "doc": "[-S] subset of samples to annotate. If the samples are named differently in the target VCF and the -a, --annotations VCF, the name mapping can be given as \"src_name dst_name\\n\", separated by whitespaces, each pair on a separate line.",
                    "type": [
                        "File",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--samples-file"
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/threads",
                    "label": "threads",
                    "doc": "see Common Options",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--threads"
                    }
                },
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/remove",
                    "label": "remove",
                    "doc": "[-x] List of annotations to remove. Use \"FILTER\" to remove all filters or \"FILTER/SomeFilter\" to remove a specific filter. Similarly, \"INFO\" can be used to remove all INFO tags and \"FORMAT\" to remove all FORMAT tags except GT. To remove all INFO tags except \"FOO\" and \"BAR\", use \"^INFO/FOO,INFO/BAR\" (and similarly for FORMAT and FILTER). \"INFO\" can be abbreviated to \"INF\" and \"FORMAT\" to \"FMT\".",
                    "type": [
                        {
                            "type": "array",
                            "items": "string"
                        },
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--remove"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#bcftoolsAnnotate_v1_5.cwl/bcftoolsAnnotate/out",
                    "label": "out",
                    "type": "File",
                    "outputBinding": {
                        "glob": "generated.vcf",
                        "loadContents": false
                    }
                }
            ],
            "stdout": "_stdout",
            "stderr": "_stderr",
            "baseCommand": [
                "bcftools",
                "annotate"
            ],
            "arguments": [],
            "id": "#bcftoolsAnnotate_v1_5.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "BGZip",
            "doc": "bgzip \u2013 Block compression/decompression utility\n\nBgzip compresses files in a similar manner to, and compatible with, gzip(1). The file is compressed \ninto a series of small (less than 64K) 'BGZF' blocks. This allows indexes to be built against the \ncompressed file and used to retrieve portions of the data without having to decompress the entire file.\n\nIf no files are specified on the command line, bgzip will compress (or decompress if the -d option is used) \nstandard input to standard output. If a file is specified, it will be compressed (or decompressed with -d). \nIf the -c option is used, the result will be written to standard output, otherwise when compressing bgzip \nwill write to a new file with a .gz suffix and remove the original. When decompressing the input file must \nhave a .gz suffix, which will be removed to make the output name. \nAgain after decompression completes the input file will be removed.",
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "biodckrdev/htslib:1.2.1"
                }
            ],
            "inputs": [
                {
                    "id": "#bgzip_1_2_1.cwl/bgzip/file",
                    "label": "file",
                    "doc": "File to bgzip compress",
                    "type": "File",
                    "inputBinding": {
                        "position": 100
                    }
                },
                {
                    "id": "#bgzip_1_2_1.cwl/bgzip/outputFilename",
                    "label": "outputFilename",
                    "type": [
                        "string",
                        "null"
                    ],
                    "default": "generated.vcf.gz",
                    "inputBinding": {
                        "position": 102,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#bgzip_1_2_1.cwl/bgzip/offset",
                    "label": "offset",
                    "doc": "b: Decompress to standard output from virtual file position (0-based uncompressed offset). Implies -c and -d.",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--offset"
                    }
                },
                {
                    "id": "#bgzip_1_2_1.cwl/bgzip/stdout",
                    "label": "stdout",
                    "doc": "c: Write to standard output, keep original files unchanged.",
                    "type": "boolean",
                    "default": true,
                    "inputBinding": {
                        "prefix": "--stdout"
                    }
                },
                {
                    "id": "#bgzip_1_2_1.cwl/bgzip/decompress",
                    "label": "decompress",
                    "doc": "d: Decompress.",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--decompress"
                    }
                },
                {
                    "id": "#bgzip_1_2_1.cwl/bgzip/force",
                    "label": "force",
                    "doc": "f: Overwrite files without asking.",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--force"
                    }
                },
                {
                    "id": "#bgzip_1_2_1.cwl/bgzip/help",
                    "label": "help",
                    "doc": "h: Displays a help message.",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--help"
                    }
                },
                {
                    "id": "#bgzip_1_2_1.cwl/bgzip/index",
                    "label": "index",
                    "doc": "i: Create a BGZF index while compressing. Unless the -I option is used, this will have the name of the compressed file with .gzi appended to it.",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--index"
                    }
                },
                {
                    "id": "#bgzip_1_2_1.cwl/bgzip/indexName",
                    "label": "indexName",
                    "doc": "-I: Index file name.",
                    "type": [
                        "File",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--index-name"
                    }
                },
                {
                    "id": "#bgzip_1_2_1.cwl/bgzip/compress",
                    "label": "compress",
                    "doc": "l: Compression level to use when compressing. From 0 to 9, or -1 for the default level set by the compression library. [-1]",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--compress"
                    }
                },
                {
                    "id": "#bgzip_1_2_1.cwl/bgzip/reindex",
                    "label": "reindex",
                    "doc": "r: Rebuild the index on an existing compressed file.",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--reindex"
                    }
                },
                {
                    "id": "#bgzip_1_2_1.cwl/bgzip/rebgzip",
                    "label": "rebgzip",
                    "doc": "g: Try to use an existing index to create a compressed file with matching block offsets. Note that this assumes that the same compression library and level are in use as when making the original file. Don't use it unless you know what you're doing.",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--rebgzip"
                    }
                },
                {
                    "id": "#bgzip_1_2_1.cwl/bgzip/size",
                    "label": "size",
                    "doc": "s: Decompress INT bytes (uncompressed size) to standard output. Implies -c.",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--size"
                    }
                },
                {
                    "id": "#bgzip_1_2_1.cwl/bgzip/threads",
                    "label": "threads",
                    "doc": "@: Number of threads to use [1].",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--threads"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#bgzip_1_2_1.cwl/bgzip/out",
                    "label": "out",
                    "type": "File",
                    "outputBinding": {
                        "glob": "generated.vcf.gz",
                        "loadContents": false
                    }
                }
            ],
            "stdout": "_stdout",
            "stderr": "_stderr",
            "baseCommand": "bgzip",
            "arguments": [
                {
                    "position": 101,
                    "valueFrom": ">",
                    "shellQuote": false
                }
            ],
            "id": "#bgzip_1_2_1.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Tabix",
            "doc": "tabix \u2013 Generic indexer for TAB-delimited genome position files\n\nTabix indexes a TAB-delimited genome position file in.tab.bgz and creates an index file (in.tab.bgz.tbi or \nin.tab.bgz.csi) when region is absent from the command-line. The input data file must be position sorted \nand compressed by bgzip which has a gzip(1) like interface.\n\nAfter indexing, tabix is able to quickly retrieve data lines overlapping regions specified in the format \n\"chr:beginPos-endPos\". (Coordinates specified in this region format are 1-based and inclusive.)\n\nFast data retrieval also works over network if URI is given as a file name and in this case the \nindex file will be downloaded if it is not present locally.",
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.inp)"
                        }
                    ]
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "biodckrdev/htslib:1.2.1"
                }
            ],
            "inputs": [
                {
                    "id": "#tabix_1_2_1.cwl/tabix/inp",
                    "label": "inp",
                    "doc": "File from which to create the index. The input data file must be position sorted and compressed by bgzip which has a gzip(1) like interface.",
                    "type": "File",
                    "inputBinding": {
                        "position": 8
                    }
                },
                {
                    "id": "#tabix_1_2_1.cwl/tabix/preset",
                    "label": "preset",
                    "doc": "-p: Input format for indexing. Valid values are: gff, bed, sam, vcf. This option should not be applied together with any of -s, -b, -e, -c and -0; it is not used for data retrieval because this setting is stored in the index file. [gff]",
                    "type": "string",
                    "default": "vcf",
                    "inputBinding": {
                        "prefix": "--preset",
                        "position": 2
                    }
                },
                {
                    "id": "#tabix_1_2_1.cwl/tabix/zeroBased",
                    "label": "zeroBased",
                    "doc": "-0: Specify that the position in the data file is 0-based (e.g. UCSC files) rather than 1-based.",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--zero-based",
                        "position": 1
                    }
                },
                {
                    "id": "#tabix_1_2_1.cwl/tabix/begin",
                    "label": "begin",
                    "doc": "-b: Column of start chromosomal position. [4]",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--begin",
                        "position": 4
                    }
                },
                {
                    "id": "#tabix_1_2_1.cwl/tabix/comment",
                    "label": "comment",
                    "doc": "-c: Skip lines started with character CHAR. [#]",
                    "type": [
                        "string",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--comment",
                        "position": 7
                    }
                },
                {
                    "id": "#tabix_1_2_1.cwl/tabix/csi",
                    "label": "csi",
                    "doc": "-C: Produce CSI format index instead of classical tabix or BAI style indices.",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--csi",
                        "position": 1
                    }
                },
                {
                    "id": "#tabix_1_2_1.cwl/tabix/end",
                    "label": "end",
                    "doc": "-e: Column of end chromosomal position. The end column can be the same as the start column. [5]",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--end",
                        "position": 5
                    }
                },
                {
                    "id": "#tabix_1_2_1.cwl/tabix/force",
                    "label": "force",
                    "doc": "-f: Force to overwrite the index file if it is present.",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--force",
                        "position": 1
                    }
                },
                {
                    "id": "#tabix_1_2_1.cwl/tabix/minShift",
                    "label": "minShift",
                    "doc": "-m: set minimal interval size for CSI indices to 2^INT [14]",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--min-shift",
                        "position": 1
                    }
                },
                {
                    "id": "#tabix_1_2_1.cwl/tabix/sequence",
                    "label": "sequence",
                    "doc": "-s: Column of sequence name. Option -s, -b, -e, -S, -c and -0 are all stored in the index file and thus not used in data retrieval. [1]",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--sequence",
                        "position": 3
                    }
                },
                {
                    "id": "#tabix_1_2_1.cwl/tabix/skipLines",
                    "label": "skipLines",
                    "doc": "-S: Skip first INT lines in the data file. [0]",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--skip-lines",
                        "position": 6
                    }
                },
                {
                    "id": "#tabix_1_2_1.cwl/tabix/printHeader",
                    "label": "printHeader",
                    "doc": "-h: Print also the header/meta lines.",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--print-header",
                        "position": 1
                    }
                },
                {
                    "id": "#tabix_1_2_1.cwl/tabix/onlyHeader",
                    "label": "onlyHeader",
                    "doc": "-H: Print only the header/meta lines.",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--only-header",
                        "position": 1
                    }
                },
                {
                    "id": "#tabix_1_2_1.cwl/tabix/listChroms",
                    "label": "listChroms",
                    "doc": "-l: List the sequence names stored in the index file.",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--list-chroms",
                        "position": 1
                    }
                },
                {
                    "id": "#tabix_1_2_1.cwl/tabix/reheader",
                    "label": "reheader",
                    "doc": "-r: Replace the header with the content of FILE",
                    "type": [
                        "File",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--reheader",
                        "position": 1
                    }
                },
                {
                    "id": "#tabix_1_2_1.cwl/tabix/regions",
                    "label": "regions",
                    "doc": "-R: Restrict to regions listed in the FILE. The FILE can be BED file (requires .bed, .bed.gz, .bed.bgz file name extension) or a TAB-delimited file with CHROM, POS, and, optionally, POS_TO columns, where positions are 1-based and inclusive. When this option is in use, the input file may not be sorted.",
                    "type": [
                        "File",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--regions",
                        "position": 11
                    }
                },
                {
                    "id": "#tabix_1_2_1.cwl/tabix/targets",
                    "label": "targets",
                    "doc": "-T: Similar to -R but the entire input will be read sequentially and regions not listed in FILE will be skipped",
                    "type": [
                        "File",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "--targets",
                        "position": 11
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#tabix_1_2_1.cwl/tabix/out",
                    "label": "out",
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.inp.basename)",
                        "loadContents": false
                    }
                }
            ],
            "stdout": "_stdout",
            "stderr": "_stderr",
            "baseCommand": "tabix",
            "arguments": [],
            "id": "#tabix_1_2_1.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Trim IUPAC Bases",
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "michaelfranklin/pmacutil:0.0.5"
                }
            ],
            "inputs": [
                {
                    "id": "#trimIUPAC_0_0_5.cwl/trimIUPAC/vcf",
                    "label": "vcf",
                    "doc": "The VCF to remove the IUPAC bases from",
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    }
                },
                {
                    "id": "#trimIUPAC_0_0_5.cwl/trimIUPAC/outputFilename",
                    "label": "outputFilename",
                    "type": [
                        "string",
                        "null"
                    ],
                    "default": "generated.trimmed.vcf",
                    "inputBinding": {
                        "position": 2
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#trimIUPAC_0_0_5.cwl/trimIUPAC/out",
                    "label": "out",
                    "type": "File",
                    "outputBinding": {
                        "glob": "generated.trimmed.vcf",
                        "loadContents": false
                    }
                }
            ],
            "stdout": "_stdout",
            "stderr": "_stderr",
            "baseCommand": "trimIUPAC.py",
            "arguments": [],
            "id": "#trimIUPAC_0_0_5.cwl"
        },
        {
            "class": "Workflow",
            "label": "Vardict Somatic Variant Caller",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "id": "#main/normal_bam",
                    "type": "File",
                    "secondaryFiles": [
                        ".bai"
                    ]
                },
                {
                    "id": "#main/tumor_bam",
                    "type": "File",
                    "secondaryFiles": [
                        ".bai"
                    ]
                },
                {
                    "id": "#main/normal_name",
                    "type": "string"
                },
                {
                    "id": "#main/tumor_name",
                    "type": "string"
                },
                {
                    "id": "#main/intervals",
                    "type": "File"
                },
                {
                    "id": "#main/allele_freq_threshold",
                    "type": "float",
                    "default": 0.05
                },
                {
                    "id": "#main/header_lines",
                    "type": "File"
                },
                {
                    "id": "#main/reference",
                    "type": "File",
                    "secondaryFiles": [
                        ".fai",
                        ".amb",
                        ".ann",
                        ".bwt",
                        ".pac",
                        ".sa",
                        "^.dict"
                    ]
                },
                {
                    "id": "#main/vardict_chromNamesAreNumbers",
                    "doc": "Indicate the chromosome names are just numbers, such as 1, 2, not chr1, chr2",
                    "type": "boolean",
                    "default": true
                },
                {
                    "id": "#main/vardict_vcfFormat",
                    "doc": "VCF format output",
                    "type": "boolean",
                    "default": true
                },
                {
                    "id": "#main/vardict_chromColumn",
                    "doc": "The column for chromosome",
                    "type": "int",
                    "default": 1
                },
                {
                    "id": "#main/vardict_regStartCol",
                    "doc": "The column for region start, e.g. gene start",
                    "type": "int",
                    "default": 2
                },
                {
                    "id": "#main/vardict_geneEndCol",
                    "doc": "The column for region end, e.g. gene end",
                    "type": "int",
                    "default": 3
                },
                {
                    "id": "#main/compressvcf_stdout",
                    "doc": "c: Write to standard output, keep original files unchanged.",
                    "type": "boolean",
                    "default": true
                }
            ],
            "outputs": [
                {
                    "id": "#main/variants",
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "outputSource": "#main/tabixvcf/out"
                },
                {
                    "id": "#main/out",
                    "type": "File",
                    "outputSource": "#main/filterpass/out"
                }
            ],
            "steps": [
                {
                    "id": "#main/vardict",
                    "label": "Vardict (Somatic)",
                    "in": [
                        {
                            "id": "#main/vardict/tumorBam",
                            "source": "#main/tumor_bam"
                        },
                        {
                            "id": "#main/vardict/normalBam",
                            "source": "#main/normal_bam"
                        },
                        {
                            "id": "#main/vardict/intervals",
                            "source": "#main/intervals"
                        },
                        {
                            "id": "#main/vardict/reference",
                            "source": "#main/reference"
                        },
                        {
                            "id": "#main/vardict/tumorName",
                            "source": "#main/tumor_name"
                        },
                        {
                            "id": "#main/vardict/normalName",
                            "source": "#main/normal_name"
                        },
                        {
                            "id": "#main/vardict/alleleFreqThreshold",
                            "source": "#main/allele_freq_threshold"
                        },
                        {
                            "id": "#main/vardict/chromNamesAreNumbers",
                            "source": "#main/vardict_chromNamesAreNumbers"
                        },
                        {
                            "id": "#main/vardict/chromColumn",
                            "source": "#main/vardict_chromColumn"
                        },
                        {
                            "id": "#main/vardict/geneEndCol",
                            "source": "#main/vardict_geneEndCol"
                        },
                        {
                            "id": "#main/vardict/regStartCol",
                            "source": "#main/vardict_regStartCol"
                        },
                        {
                            "id": "#main/vardict/vcfFormat",
                            "source": "#main/vardict_vcfFormat"
                        }
                    ],
                    "run": "#vardict_somatic_1_6_0.cwl",
                    "out": [
                        {
                            "id": "#main/vardict/out"
                        }
                    ]
                },
                {
                    "id": "#main/annotate",
                    "label": "BCFTools: Annotate",
                    "in": [
                        {
                            "id": "#main/annotate/vcf",
                            "source": "#main/vardict/out"
                        },
                        {
                            "id": "#main/annotate/headerLines",
                            "source": "#main/header_lines"
                        }
                    ],
                    "run": "#bcftoolsAnnotate_v1_5.cwl",
                    "out": [
                        {
                            "id": "#main/annotate/out"
                        }
                    ]
                },
                {
                    "id": "#main/compressvcf",
                    "label": "BGZip",
                    "in": [
                        {
                            "id": "#main/compressvcf/file",
                            "source": "#main/annotate/out"
                        },
                        {
                            "id": "#main/compressvcf/stdout",
                            "source": "#main/compressvcf_stdout"
                        }
                    ],
                    "run": "#bgzip_1_2_1.cwl",
                    "out": [
                        {
                            "id": "#main/compressvcf/out"
                        }
                    ]
                },
                {
                    "id": "#main/tabixvcf",
                    "label": "Tabix",
                    "in": [
                        {
                            "id": "#main/tabixvcf/inp",
                            "source": "#main/compressvcf/out"
                        }
                    ],
                    "run": "#tabix_1_2_1.cwl",
                    "out": [
                        {
                            "id": "#main/tabixvcf/out"
                        }
                    ]
                },
                {
                    "id": "#main/splitnormalisevcf",
                    "label": "Split Multiple Alleles",
                    "in": [
                        {
                            "id": "#main/splitnormalisevcf/vcf",
                            "source": "#main/annotate/out"
                        },
                        {
                            "id": "#main/splitnormalisevcf/reference",
                            "source": "#main/reference"
                        }
                    ],
                    "run": "#SplitMultiAllele_v0_5772.cwl",
                    "out": [
                        {
                            "id": "#main/splitnormalisevcf/out"
                        }
                    ]
                },
                {
                    "id": "#main/trim",
                    "label": "Trim IUPAC Bases",
                    "in": [
                        {
                            "id": "#main/trim/vcf",
                            "source": "#main/splitnormalisevcf/out"
                        }
                    ],
                    "run": "#trimIUPAC_0_0_5.cwl",
                    "out": [
                        {
                            "id": "#main/trim/out"
                        }
                    ]
                },
                {
                    "id": "#main/filterpass",
                    "label": "Filter Vardict Somatic Vcf",
                    "in": [
                        {
                            "id": "#main/filterpass/vcf",
                            "source": "#main/trim/out"
                        }
                    ],
                    "run": "#FilterVardictSomaticVcf_v1_9.cwl",
                    "out": [
                        {
                            "id": "#main/filterpass/out"
                        }
                    ]
                }
            ],
            "id": "#main"
        },
        {
            "class": "CommandLineTool",
            "label": "Vardict (Somatic)",
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "michaelfranklin/vardict:1.6.0"
                }
            ],
            "inputs": [
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/tumorBam",
                    "label": "tumorBam",
                    "doc": "The indexed BAM file",
                    "type": "File",
                    "secondaryFiles": [
                        ".bai"
                    ]
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/normalBam",
                    "label": "normalBam",
                    "doc": "The indexed BAM file",
                    "type": "File",
                    "secondaryFiles": [
                        ".bai"
                    ]
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/intervals",
                    "label": "intervals",
                    "type": "File",
                    "inputBinding": {
                        "position": 2,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/reference",
                    "label": "reference",
                    "doc": "The reference fasta. Should be indexed (.fai). Defaults to: /ngs/reference_data/genomes/Hsapiens/hg19/seq/hg19.fa",
                    "type": "File",
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "inputBinding": {
                        "prefix": "-G",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/tumorName",
                    "label": "tumorName",
                    "doc": "The sample name to be used directly.  Will overwrite -n option",
                    "type": "string"
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/normalName",
                    "label": "normalName",
                    "doc": "The normal sample name to use with the -b option",
                    "type": "string"
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/alleleFreqThreshold",
                    "label": "alleleFreqThreshold",
                    "doc": "The threshold for allele frequency, default: 0.05 or 5%",
                    "type": [
                        "float",
                        "null"
                    ]
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/outputFilename",
                    "label": "outputFilename",
                    "type": [
                        "string",
                        "null"
                    ],
                    "default": "generated.vardict.vcf",
                    "inputBinding": {
                        "prefix": ">",
                        "position": 6,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/indels3prime",
                    "label": "indels3prime",
                    "doc": "Indicate to move indels to 3-prime if alternative alignment can be achieved.",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-3",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/amplicon",
                    "label": "amplicon",
                    "doc": "Indicate it's amplicon based calling.  Reads that don't map to the amplicon will be skipped.  A read pair is considered belonging  to the amplicon if the edges are less than int bp to the amplicon, and overlap fraction is at least float.  Default: 10:0.95",
                    "type": [
                        "float",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-a",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/minReads",
                    "label": "minReads",
                    "doc": "The minimum # of reads to determine strand bias, default 2",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-B",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/chromNamesAreNumbers",
                    "label": "chromNamesAreNumbers",
                    "doc": "Indicate the chromosome names are just numbers, such as 1, 2, not chr1, chr2",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-C",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/chromColumn",
                    "label": "chromColumn",
                    "doc": "The column for chromosome",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-c",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/debug",
                    "label": "debug",
                    "doc": "Debug mode.  Will print some error messages and append full genotype at the end.",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-D",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/splitDelimeter",
                    "label": "splitDelimeter",
                    "doc": "The delimiter for split region_info, default to tab \"\t\"",
                    "type": [
                        "string",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-d",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/geneEndCol",
                    "label": "geneEndCol",
                    "doc": "The column for region end, e.g. gene end",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-E",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/segEndCol",
                    "label": "segEndCol",
                    "doc": "The column for segment ends in the region, e.g. exon ends",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-e",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/filter",
                    "label": "filter",
                    "doc": "The hexical to filter reads using samtools. Default: 0x500 (filter 2nd alignments and duplicates). Use -F 0 to turn it off.",
                    "type": [
                        "string",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-F",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/geneNameCol",
                    "label": "geneNameCol",
                    "doc": "The column for gene name, or segment annotation",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-g",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/printHeaderRow",
                    "label": "printHeaderRow",
                    "doc": "Print a header row describing columns",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-h",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/indelSize",
                    "label": "indelSize",
                    "doc": "The indel size.  Default: 120bp",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-I",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/outputSplice",
                    "label": "outputSplice",
                    "doc": "Output splicing read counts",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-i",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/performLocalRealignment",
                    "label": "performLocalRealignment",
                    "doc": "Indicate whether to perform local realignment.  Default: 1.  Set to 0 to disable it. For Ion or PacBio, 0 is recommended.",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-k",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/minMatches",
                    "label": "minMatches",
                    "doc": "The minimum matches for a read to be considered. If, after soft-clipping, the matched bp is less than INT, then the read is discarded. It's meant for PCR based targeted sequencing where there's no insert and the matching is only the primers. Default: 0, or no filtering",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-M",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/maxMismatches",
                    "label": "maxMismatches",
                    "doc": "If set, reads with mismatches more than INT will be filtered and ignored. Gaps are not counted as mismatches. Valid only for bowtie2/TopHat or BWA aln followed by sampe. BWA mem is calculated as NM - Indels. Default: 8, or reads with more than 8 mismatches will not be used.",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-m",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/regexSampleName",
                    "label": "regexSampleName",
                    "doc": "The regular expression to extract sample name from BAM filenames. Default to: /([^\\/\\._]+?)_[^\\/]*.bam/",
                    "type": [
                        "string",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-n",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/mapq",
                    "label": "mapq",
                    "doc": "The reads should have at least mean MapQ to be considered a valid variant. Default: no filtering",
                    "type": [
                        "string",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-O",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/qratio",
                    "label": "qratio",
                    "doc": "The Qratio of (good_quality_reads)/(bad_quality_reads+0.5). The quality is defined by -q option.  Default: 1.5",
                    "type": [
                        "float",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-o",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/readPosition",
                    "label": "readPosition",
                    "doc": "The read position filter. If the mean variants position is less that specified, it's considered false positive.  Default: 5",
                    "type": [
                        "float",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-P",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/pileup",
                    "label": "pileup",
                    "doc": "Do pileup regardless of the frequency",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-p",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/minMappingQual",
                    "label": "minMappingQual",
                    "doc": "If set, reads with mapping quality less than INT will be filtered and ignored",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-Q",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/phredScore",
                    "label": "phredScore",
                    "doc": "The phred score for a base to be considered a good call.  Default: 25 (for Illumina) For PGM, set it to ~15, as PGM tends to under estimate base quality.",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-q",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/region",
                    "label": "region",
                    "doc": "The region of interest.  In the format of chr:start-end.  If end is omitted, then a single position.  No BED is needed.",
                    "type": [
                        "string",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-R",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/minVariantReads",
                    "label": "minVariantReads",
                    "doc": "The minimum # of variant reads, default 2",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-r",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/regStartCol",
                    "label": "regStartCol",
                    "doc": "The column for region start, e.g. gene start",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-S",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/segStartCol",
                    "label": "segStartCol",
                    "doc": "The column for segment starts in the region, e.g. exon starts",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-s",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/minReadsBeforeTrim",
                    "label": "minReadsBeforeTrim",
                    "doc": "Trim bases after [INT] bases in the reads",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-T",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/removeDuplicateReads",
                    "label": "removeDuplicateReads",
                    "doc": "Indicate to remove duplicated reads.  Only one pair with same start positions will be kept",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/threads",
                    "label": "threads",
                    "doc": "Threads count.",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-th",
                        "position": 1,
                        "valueFrom": "$([inputs.runtime_cpu, 4, 1].filter(function (inner) { return inner != null })[0])",
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/freq",
                    "label": "freq",
                    "doc": "The lowest frequency in the normal sample allowed for a putative somatic mutation. Defaults to 0.05",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-V",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/vcfFormat",
                    "label": "vcfFormat",
                    "doc": "VCF format output",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-v",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/vs",
                    "label": "vs",
                    "doc": "[STRICT | LENIENT | SILENT] How strict to be when reading a SAM or BAM: STRICT   - throw an exception if something looks wrong. LENIENT\t- Emit warnings but keep going if possible. SILENT\t- Like LENIENT, only don't emit warning messages. Default: LENIENT",
                    "type": [
                        "string",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-VS",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/bp",
                    "label": "bp",
                    "doc": "Extension of bp to look for mismatches after insersion or deletion.  Default to 3 bp, or only calls when they're within 3 bp.",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-X",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/extensionNucleotide",
                    "label": "extensionNucleotide",
                    "doc": "The number of nucleotide to extend for each segment, default: 0",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-x",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/yy",
                    "label": "yy",
                    "doc": "<No content>",
                    "type": [
                        "boolean",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-y",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/downsamplingFraction",
                    "label": "downsamplingFraction",
                    "doc": "For downsampling fraction.  e.g. 0.7 means roughly 70% downsampling.  Default: No downsampling.  Use with caution.  The downsampling will be random and non-reproducible.",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-Z",
                        "position": 1,
                        "shellQuote": false
                    }
                },
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/zeroBasedCoords",
                    "label": "zeroBasedCoords",
                    "doc": "0/1  Indicate whether coordinates are zero-based, as IGV uses.  Default: 1 for BED file or amplicon BED file. Use 0 to turn it off. When using the -R option, it's set to 0",
                    "type": [
                        "int",
                        "null"
                    ],
                    "inputBinding": {
                        "prefix": "-z",
                        "position": 1,
                        "shellQuote": false
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#vardict_somatic_1_6_0.cwl/vardict_somatic/out",
                    "label": "out",
                    "type": "File",
                    "outputBinding": {
                        "glob": "generated.vardict.vcf",
                        "loadContents": false
                    }
                }
            ],
            "stdout": "_stdout",
            "stderr": "_stderr",
            "baseCommand": "VarDict",
            "arguments": [
                {
                    "position": 3,
                    "valueFrom": "| testsomatic.R |",
                    "shellQuote": false
                },
                {
                    "position": 4,
                    "valueFrom": "var2vcf_paired.pl",
                    "shellQuote": false
                },
                {
                    "prefix": "-b",
                    "position": 1,
                    "valueFrom": "$(((inputs.tumorBam + \"|\") + inputs.normalBam))",
                    "shellQuote": true
                },
                {
                    "prefix": "-N",
                    "position": 1,
                    "valueFrom": "$(inputs.tumorName)",
                    "shellQuote": true
                },
                {
                    "prefix": "-N",
                    "position": 5,
                    "valueFrom": "$(((inputs.tumorName + \"|\") + inputs.normalName))",
                    "shellQuote": true
                },
                {
                    "prefix": "-f",
                    "position": 5,
                    "valueFrom": "$(inputs.alleleFreqThreshold)",
                    "shellQuote": false
                },
                {
                    "prefix": "-f",
                    "position": 1,
                    "valueFrom": "$(inputs.alleleFreqThreshold)",
                    "shellQuote": false
                }
            ],
            "id": "#vardict_somatic_1_6_0.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
